Magick::DrawableStrokeDashOffset Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeDashOffset:
[legend]
Collaboration diagram for Magick::DrawableStrokeDashOffset:
[legend]

## Public Member Functions

| DrawableStrokeDashOffset (const double offset_)
| ~DrawableStrokeDashOffset (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | offset (const double offset_)
double | offset (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1749 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeDashOffset()

Magick::DrawableStrokeDashOffset::DrawableStrokeDashOffset | ( | const double | offset_ | ) |

inline

Definition at line 1752 of file Drawable.h.

## ~DrawableStrokeDashOffset()

Magick::DrawableStrokeDashOffset::~DrawableStrokeDashOffset | ( | void |  | ) |

Definition at line 1259 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeDashOffset::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1269 of file Drawable.cpp.

## offset() [1/2]

void Magick::DrawableStrokeDashOffset::offset | ( | const double | offset_ | ) |

Definition at line 1274 of file Drawable.cpp.

## offset() [2/2]

double Magick::DrawableStrokeDashOffset::offset | ( | void |  | ) | const

Definition at line 1279 of file Drawable.cpp.

## operator()()

void Magick::DrawableStrokeDashOffset::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1264 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp